actions: []
api_documentation: http://docs.ros.org/en/noetic/api/cpp_common/html
authors: John Faust, Dirk Thomas
brief: ''
bugtracker: ''
depends:
- catkin
depends_on:
- roscpp_core
- roscpp_serialization
- roscpp_traits
- rostime
description: "cpp_common contains C++ code for doing things that are not necessarily\
  \ ROS\n    related, but are useful for multiple packages. This includes things like\n\
  \    the ROS_DEPRECATED and ROS_FORCE_INLINE macros, as well as code for getting\n\
  \    backtraces.\n\n    This package is a component of <a href=\"http://www.ros.org/wiki/roscpp\"\
  >roscpp</a>."
doc_job: https://build.test.ros2.org/view/Ndoc/job/Ndoc__roscpp_core__ubuntu_focal_amd64
has_changelog_rst: true
license: BSD
maintainer_status: maintained
maintainers: Martin Pecka <peckama2@fel.cvut.cz>
metapackages:
- roscpp_core
msgs: []
package_type: package
repo_name: roscpp_core
repo_url: ''
srvs: []
timestamp: 1716392967.4755511
url: http://www.ros.org/wiki/cpp_common
vcs: git
vcs_uri: https://github.com/ros/roscpp_core.git
vcs_version: noetic-devel
